
Redmine - Defect #3777

Long wiki pages drop text when edited

2009-08-25 10:52 - Lars Erik Gullerud

Status: Closed Start date: 2009-08-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.3

Description

When editing long wiki pages, text "disappears" from the end of the document. This seems to be caused by the fact that Redmine

uses datatype "text" (at least in MySQL) to store wiki page contents. Pages exceeding 65535 characters are truncated.

This should probably be changed to MEDIUMTEXT or LONGTEXT or similar, or the system should as a minimum give the user a

warning (right now, submissions of changes to a wiki page are accepted and text is simply silently discared from the end of the

document).

Related issues:

Is duplicate of Redmine - Defect #1071: Wiki/News/Documents truncate contents... Closed 2008-04-17

History

#1 - 2009-08-26 22:44 - Mischa The Evil

- Category deleted (Wiki)

- Resolution set to Duplicate

Closed as a duplicate of issue #1071.

#2 - 2009-08-26 22:45 - Mischa The Evil

- Status changed from New to Closed
